#!/bin/bash

# do-all.sh

# Generate scores from MUP-, TeX- and Quikscript sources

#set -x

###############################################################################
# Set up variables                                                            #
###############################################################################

export QS="Qs"
#export QS="Qs-letter"

export PS2PDF="ps2pdf -sPAPERSIZE=letter"

###############################################################################
# Main program                                                                #
###############################################################################

#
# Generate single pages from mup sources
#

###############################################################################
# 1st movement                                                                #
###############################################################################

echo 1st movement, generating single pages 

echo "  full score ..."

./Scheibe-Pages.sh con1 10 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con1 3 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con1 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con1 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con1 2 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con1 2 -D PBS

###############################################################################
# 2nd movement                                                                #
###############################################################################

echo 2nd movement, generating single pages

echo "  full score ..."

./Scheibe-Pages.sh con2 4 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con2 1 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con2 1 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con2 1 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con2 1 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con2 1 -D PBS

###############################################################################
# 3rd movement                                                                #
###############################################################################

echo 3rd movement, generating single pages

./Scheibe-Pages.sh con3 8 -D SCORE

echo "  full score ..."

./Scheibe-Pages.sh con3 8 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con3 2 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con3 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con3 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con3 1 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con3 2 -D PBS

###############################################################################
# Generate music examples for critical notes from mup sources                 #
###############################################################################

echo generating music examples ...

mup -F con1_ex1; ps2epsi con1_ex1.ps
mup -F con2_ex1; ps2epsi con2_ex1.ps
mup -F con2_ex2; ps2epsi con2_ex2.ps
mup -F con2_ex3; ps2epsi con2_ex3.ps

###############################################################################
# Generate critical notes from TeX source                                     #
###############################################################################

echo generating critical notes ...

tex comments; dvips comments; ps2epsi comments.ps

###############################################################################
# Collect epsi pages to pdf scores                                            #
###############################################################################

echo generating scores ...

catex $QS ConcG.qs > ConcG.ps; $PS2PDF ConcG.ps
catex $QS ConcG-fl.qs > ConcG-fl.ps; $PS2PDF ConcG-fl.ps
catex $QS ConcG-vl1.qs > ConcG-vl1.ps; $PS2PDF ConcG-vl1.ps
catex $QS ConcG-vl2.qs > ConcG-vl2.ps; $PS2PDF ConcG-vl2.ps
catex $QS ConcG-vla.qs > ConcG-vla.ps; $PS2PDF ConcG-vla.ps
catex $QS ConcG-bs.qs > ConcG-bs.ps; $PS2PDF ConcG-bs.ps

###############################################################################
# Clean up intermediate files                                                 #
###############################################################################

echo cleaning up ...

rm *.dvi *.epsi *.ps *.log
#rm *.dvi *.epsi *.log
